Bug 183171 - dmidecode Targeted Architecture Not Supported
Summary: dmidecode Targeted Architecture Not Supported
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dmidecode
Version: 4
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Alan Cox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-27 04:57 UTC by Joseph D. Wagner
Modified: 2007-11-30 22:11 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2007-01-20 04:28:36 UTC


Attachments (Terms of Use)

Description Joseph D. Wagner 2006-02-27 04:57:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux 2.6.15-1.1831_FC4; X11; i686; en_US) KHTML/3.5.1 (like Gecko)

Description of problem:
When attempting to specify a target architecture higher than i386 (i.e. i486, 
i586, etc), rpmbuild returns an error saying that the architecture is not 
included. 
 
I see no reason the architecture would not be supported.  Even noarch packages 
will build with a target architecture specified; the option simply has no 
effect on them. 

Version-Release number of selected component (if applicable):
dmidecode-2.6-1.14.src.rpm

How reproducible:
Always

Steps to Reproduce:
Simply execute the command "rpmbuild --rebuild --target=foobar" where foobar 
is any x86 compatible 32-bit architecture higher than i386 (i.e. i486, i586, 
etc). 
   

Actual Results:  "error: Architecture is not included: i686" 

Expected Results:  The package should have built properly. 

Additional info:

Comment 1 Dave Jones 2006-02-27 05:04:09 UTC
It's exclusivearch'd to 386, as it doesn't make any sense to have it built only
for higher archs.


Comment 2 Joseph D. Wagner 2006-02-28 04:31:02 UTC
Of the 226 Source RPMS distributed with FC4, this is one of only a handful of 
Source RPMS that does not support a more advanced target architecture (i.e. 
i486, i586, etc).  Even Source RPMS in which a higher target architecture will 
yield no practical improvements allow a higher target architecture to be 
specified.

Could you please explain why something that works for almost every other 
package but not for this package is not a bug?

I don't mean to be stepping on toes; it's just that I would like an 
explanation, so that I know I'm not being brushed aside.

Comment 3 Christian Iseli 2007-01-20 00:26:35 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.


Note You need to log in before you can comment on or make changes to this bug.